spamassassin-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Kevin A. McGrail" <KMcGr...@PCCC.com>
Subject RE: Argument "perl_version" isn't numeric
Date Sat, 29 Nov 2014 14:11:32 GMT
There were changes made but I had a feeling they might not be backwards compatible.  Will look
at changing that to a has/can function but leave the new perl version code for future use.
Regards,
KAM

On November 29, 2014 6:32:15 AM EST, Martin <marti@ntlworld.com> wrote:
> 
>I seem to have found the problems in 72active.cf
>
>if perl_version >= 5.010000
>  meta    PDS_FROM_2_EMAILS       __PDS_FROM_2_EMAILS && !__VIA_ML &&
>!__VIA_RESIGNER
>endif
>
>And
>
>if perl_version >= 5.010000
>  header  __PDS_FROM_2_EMAILS     From =~
>/^\W+([\w+.-]+\@[\w.-]+\.\w\w++)(?:[^\n\w<]{0,80})?<(?!\1)[^\n\s]*\@/i
>endif
>
>I have hashed them out and all seems fine now

Mime
View raw message